#!/usr/bin/env bats
# vim: set filetype=sh:

load utils

@test "Happy day" {
#  describe "Installing Maven artifacts"
#  install_artifact "my-webapp"
#  install_artifact "my-webapp" 1.0

  cd $BATS_TMPDIR
  cd appstore
  mkdir -p client server
  cd client

  describe "appstore init"
  appstore init "localhost" "$BATS_TMPDIR/appstore/server" "mysetup"
  cd mysetup

  describe "appstore add-app"
  # Making assertions easier.
  git config user.name "Test Case"
  git config user.email tester@example.org

  appstore add-app frontend file $BATS_TEST_DIRNAME/data/my-webapp.zip 1.0-SNAPSHOT enabled
  app conf set -f frontend.config myapp.port 8880

  appstore add-app backend file $BATS_TEST_DIRNAME/data/my-webapp.zip 1.0-SNAPSHOT enabled
  app conf set -f backend.config myapp.port 8881

  appstore add-app left maven org.example:my-webapp:1.0-SNAPSHOT 1.0-SNAPSHOT disabled
  app conf set -f left.config myapp.port 8882

  appstore add-app right maven org.example:my-webapp:1.0-SNAPSHOT 1.0-SNAPSHOT disabled
  # no myapp.port

  describe "git commit & push"
  run git commit -m "o Adding app-1." -a
  run git push cloud master
  eq "ssh://localhost$BATS_TMPDIR/appstore/server/repos/mysetup" `git config remote.cloud.url`
}
